Bug 910493 (katomic)

Summary: Review Request: katomic - An educational game built around molecular geometry
Product: [Fedora] Fedora Reporter: Rex Dieter <rdieter>
Component: Package ReviewAssignee: nucleo <alekcejk>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: alekcejk, kevin, ltinkl, notting, package-review, than
Target Milestone: ---Flags: alekcejk: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-14 11:10:21 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 908920    
Bug Blocks: 656997, 907993    

Description Rex Dieter 2013-02-12 13:19:07 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/katomic.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/katomic-4.10.0-1.fc18.src.rpm
Description: An educational game built around molecular geometry
Fedora Account System Username: rdieter
Comment 1 nucleo 2013-02-13 17:27:55 EST
Code under GPLv2+ license, doc under GFDL, license tag must be:

License: GPLv2+ and GFDL

COPYING.DOC must be added in %doc, also README.levels and README.themes can be added.

More detailed %description from documentation:

KAtomic is a fun and educational game built around molecular geometry.
It employs a simplistic two-dimensional look at the elements which
comprise a molecule. A molecule is disassembled into its separate atoms
and scattered around the playing field. The player must reassemble
the molecule in order to complete the current level and move up to
the next one.

rpmlint output:
$ rpmlint katomic-4.10.0-1.fc18.i686.rpm katomic-debuginfo-4.10.0-1.fc18.i686.rpm katomic-4.10.0-1.fc18.src.rpm katomic.spec 
katomic.i686: W: no-manual-page-for-binary katomic
katomic.src:67: W: macro-in-comment %{name}
katomic.spec:67: W: macro-in-comment %{name}
3 packages and 1 specfiles checked; 0 errors, 4 warnings.

Commented line should be removed.
Comment 2 Rex Dieter 2013-02-13 17:48:29 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/katomic.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/katomic-4.10.0-2.fc18.src.rpm

%changelog
* Wed Feb 13 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-2
- License: GPLv2+ and GFDL
- better %%description
Comment 3 nucleo 2013-02-13 17:50:40 EST
MUST Items:
+ rpmlint output
  $ rpmlint katomic-4.10.0-1.fc18.i686.rpm katomic-debuginfo-4.10.0-1.fc18.i686.rpm katomic-4.10.0-1.fc18.src.rpm katomic.spec 
    katomic.i686: W: no-manual-page-for-binary katomic
    katomic.src:67: W: macro-in-comment %{name}
    katomic.spec:67: W: macro-in-comment %{name}
    3 packages and 1 specfiles checked; 0 errors, 3 warnings.
+ named and versioned according to the Package Naming Guidelines.
  Package name match the upstream tarball name katomic-4.10.0.tar.xz
+ spec file name katomic.spec matches base package name
+ complies with all the legal guidelines:
  + License: GPLv2+ and GFDL, matches actual license (added notices for parts under different licenses)
  + No known patent problems
  + No emulator, no firmware, no binary-only or prebuilt components
+ COPYING (GNU GENERAL PUBLIC LICENSE Version 2), COPYING.DOC (GNU Free Documentation License Version 1.2) packaged as %doc
+ source matches upstream:
  MD5: 5fd28b87f8e278b72b1564f697ad0768  katomic-4.10.0.tar.xz
  SHA1: 4f34335251331f0abcdc801400f4fb821fcb9a63  katomic-4.10.0.tar.xz
  SHA256: f5bab27095c1444ac7d55f07a1275486b7d8b2c00e8e8b3792983d655a5a655a  katomic-4.10.0.tar.xz
+ builds on at least one arch
  build from mock is in F18 kde-unstable repo
+ no known non-working arches, so no ExcludeArch needed
+ no missing BuildRequires (builds in mock)
+ locales are handled properly by using %find_lang %{name} --with-kde macro
+ ldconfig call not needed (no shared libraries)
+ no duplicated system libraries
+ package not relocatable (no Prefix tag)
+ directory ownership correct (doesn't own directories owned by another package, owns all package-specific directories %{_kde4_appsdir}/%{name}/)
+ no duplicate files in %files
+ permissions correct, %defattr(-,root,root,-) not needed now, executables have executable permissions
+ macros used where possible (%{name}, %{version}, %{buildroot}, %{_target_platform}, %{cmake_kde4}, %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir}, %{_kde4_configdir} )
+ non-code content: only permitted content, game levels under license that matches the code
+ no large documentation files, so no -doc package needed
+ no %doc files required at runtime
+ no header files, no -devel package needed
+ no static libraries, so no -static package needed
+ no devel symlinks which would need to be in a -devel subpackage
+ devel packages must require the base package (no -devel package)
+ no .la files
+ katomic.desktop file for the GUI app katomic present
+ desktop-file-validate is used in %check and the katomic.desktop file passes validation
+ all filenames are valid UTF-8
+ other packaging guidelines:
  + complies with the Filesystem Hierarchy Standard (all files in  %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir}, %{_kde4_configdir})
  + proper changelog, tags, BuildRequires, Summary, Description (got from katomic's documentation)
  + no non-UTF-8 characters
  + all relevant documentation included as %doc (COPYING, COPYING.DOC, README.levels, README.themes)
  + RPM_OPT_FLAGS are used in %{cmake_kde4} macro
  + debuginfo package is valid (contains stripped symbols from ELF binary and source code related to it)
  + no rpaths (no check-rpaths error)
  + no configuration files, so %config guideline doesn't apply
  + no init scripts, so init script guideline doesn't apply
  + timestamps are preserved
  + %{?_smp_mflags} used
  + not a web application, so web application guideline doesn't apply
  + no conflicts (kdegames-4.10.0 is metapackage now which not includes apps)

SHOULD Items:
+ license already included upstream
+ no translations for description and summary provided by upstream
+ package builds in mock (built for kde-unstable)
- successfully tested the package functionality (no testing yet)
+ scriptlets are sane (updating icon chache in %post, %postun, %posttrans)
+ subpackages other than devel should require the base package using a fully versioned dependency (no subpackages)
+ no .pc files, so "placement of .pc files" is irrelevant
+ no file dependencies
- package should contain man pages for binaries/scripts

APPROVED
Comment 4 nucleo 2013-02-13 17:52:32 EST
new rpmlint output fine:
$ rpmlint katomic-4.10.0-1.fc18.i686.rpm katomic-debuginfo-4.10.0-1.fc18.i686.rpm katomic-4.10.0-2.fc18.src.rpm katomic.spec 
katomic.i686: W: no-manual-page-for-binary katomic
3 packages and 1 specfiles checked; 0 errors, 2 warnings.
Comment 5 Rex Dieter 2013-02-14 08:17:54 EST
New Package SCM Request
=======================
Package Name: katomic
Short Description: An educational game built around molecular geometry
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f17 f18
InitialCC:
Comment 6 Jon Ciesla 2013-02-14 10:04:25 EST
Git done (by process-git-requests).
Comment 7 Rex Dieter 2013-02-14 11:10:21 EST
imported, thanks.